| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DatabaseServerStarter Class Reference
Inheritance diagram for Digikam::DatabaseServerStarter:

## Public Member Functions
DatabaseServerError | startServerManagerProcess (const DbEngineParameters &parameters) const
void | stopServerManagerProcess ()

## Static Public Member Functions
static DatabaseServerStarter * | instance ()
| Global instance of internal server starter.

## Member Function Documentation

## ◆ instance()

DatabaseServerStarter * Digikam::DatabaseServerStarter::instance | ( |  | ) |
| static

All accessor methods are thread-safe.